<?php

	include("../M0/session_start.php") ;
	
	//-------------------------------------------------------------------------------------
	if ( $_SESSION['level'] < 90 ) {
		header('Location: ' . $root_dir . '/M1/index_2.php');
		exit();
	}

	//-------------------------------------------------------------------------------------
	// si une authentification 2FA est nécessaire et qu'elle n'a pas été faite,
	// il faudra saisir un code 2FA préalablement envoyé par SMS
	//-------------------------------------------------------------------------------------
	if ( $USER_2FAS_STATUS == "ON"  ) {
		
		if ( ! $_SESSION['admin_2FA'] ) {
			
			header('Location: ./get_admin_2fas_code.php');
			exit();
			
		} 

	}
	elseif ( $USER_2FA_STATUS == "ON"  ) {
		
		if ( ! $_SESSION['admin_2FA'] ) {
			
			header('Location: ./get_admin_2fa_code.php');
			exit();
			
		} 

	}
	else {
		log_string( "AQCM05", "NOTICE ---> " . "accès aux menus d'administration pour : " . $_SESSION['login'] . " : succès..." ) ;
		$_SESSION['admin_menus']	= true ;
	}
	
	include("../M0/identify_sondes.php") ;

	include("../M0/communs_en_tete_HTML.html") ;
	
	$back_link = "../M1/index_2.php";
	include('../M0/communs_en_tete_home_back.html');

	$return_path = "../M6/index.php" ;
	include('../M0/display_user_only.php'); 

	if ( $_SESSION['user_type'] == "super_user" ) {
		include("./index_begin.php") ;
		include("./index_a.php") ;
		include("./index_end.php") ;
	}
	
?>

</body>
</html>



